Index: dlls/quartz/fgraph.h
===================================================================
RCS file: /home/wine/wine/dlls/quartz/fgraph.h,v
retrieving revision 1.10
diff -u -r1.10 fgraph.h
--- dlls/quartz/fgraph.h	19 Mar 2002 02:15:26 -0000	1.10
+++ dlls/quartz/fgraph.h	21 Mar 2002 06:39:19 -0000
@@ -36,13 +36,12 @@
 		+ IMediaEventSink
 		+ IDispatch - IMediaPosition
 		+ IMediaSeeking
-		+ IDispatch - IBasicVideo[2] (pass to a renderer)
+		+ IDispatch - IBasicVideo (pass to a renderer)
 		+ IDispatch - IBasicAudio (pass to a renderer)
 		+ IDispatch - IVideoWindow  (pass to a renderer)
-		+ IDispatch - IAMStats
 	(following interfaces are not implemented)
 		+ IMarshal
-		+ IFilterMapper2 - IFilterMapper3
+		+ IFilterMapper2
 		FIXME - Are there any missing interfaces???
  */
 
@@ -70,11 +69,6 @@
 	ICOM_VFIELD(IGraphVersion);
 } FG_IGraphVersionImpl;
 
-typedef struct FG_IGraphConfigImpl
-{
-	ICOM_VFIELD(IGraphConfig);
-} FG_IGraphConfigImpl;
-
 typedef struct FG_IMediaControlImpl
 {
 	ICOM_VFIELD(IMediaControl);
@@ -107,7 +101,7 @@
 
 typedef struct FG_IBasicVideoImpl
 {
-	ICOM_VFIELD(IBasicVideo2);
+	ICOM_VFIELD(IBasicVideo);
 } FG_IBasicVideoImpl;
 
 typedef struct FG_IBasicAudioImpl
@@ -120,11 +114,6 @@
 	ICOM_VFIELD(IVideoWindow);
 } FG_IVideoWindowImpl;
 
-typedef struct FG_IAMStatsImpl
-{
-	ICOM_VFIELD(IAMStats);
-} FG_IAMStatsImpl;
-
 
 typedef struct FG_FilterData
 {
@@ -144,7 +133,6 @@
 	FG_IDispatchImpl	disp;
 	FG_IFilterGraph2Impl	fgraph;
 	FG_IGraphVersionImpl	graphversion;
-	FG_IGraphConfigImpl	grphconf;
 	FG_IMediaControlImpl	mediacontrol;
 	FG_IMediaFilterImpl	mediafilter;
 	FG_IMediaEventImpl	mediaevent;
@@ -154,7 +142,6 @@
 	FG_IBasicVideoImpl	basvid;
 	FG_IBasicAudioImpl	basaud;
 	FG_IVideoWindowImpl	vidwin;
-	FG_IAMStatsImpl	amstats;
 
 	/* IDispatch fields. */
 	/* IFilterGraph2 fields. */
@@ -183,10 +170,9 @@
 	/* IMediaEventSink fields. */
 	/* IMediaPosition fields. */
 	/* IMediaSeeking fields. */
-	/* IBasicVideo2 fields. */
+	/* IBasicVideo fields. */
 	/* IBasicAudio fields. */
 	/* IVideoWindow fields. */
-	/* IAMStats fields. */
 } CFilterGraph;
 
 #define	CFilterGraph_THIS(iface,member)		CFilterGraph*	This = ((CFilterGraph*)(((char*)iface)-offsetof(CFilterGraph,member)))
@@ -208,8 +194,6 @@
 void CFilterGraph_UninitIFilterGraph2( CFilterGraph* pfg );
 HRESULT CFilterGraph_InitIGraphVersion( CFilterGraph* pfg );
 void CFilterGraph_UninitIGraphVersion( CFilterGraph* pfg );
-HRESULT CFilterGraph_InitIGraphConfig( CFilterGraph* pfg );
-void CFilterGraph_UninitIGraphConfig( CFilterGraph* pfg );
 HRESULT CFilterGraph_InitIMediaControl( CFilterGraph* pfg );
 void CFilterGraph_UninitIMediaControl( CFilterGraph* pfg );
 HRESULT CFilterGraph_InitIMediaFilter( CFilterGraph* pfg );
@@ -222,14 +206,12 @@
 void CFilterGraph_UninitIMediaPosition( CFilterGraph* pfg );
 HRESULT CFilterGraph_InitIMediaSeeking( CFilterGraph* pfg );
 void CFilterGraph_UninitIMediaSeeking( CFilterGraph* pfg );
-HRESULT CFilterGraph_InitIBasicVideo2( CFilterGraph* pfg );
-void CFilterGraph_UninitIBasicVideo2( CFilterGraph* pfg );
+HRESULT CFilterGraph_InitIBasicVideo( CFilterGraph* pfg );
+void CFilterGraph_UninitIBasicVideo( CFilterGraph* pfg );
 HRESULT CFilterGraph_InitIBasicAudio( CFilterGraph* pfg );
 void CFilterGraph_UninitIBasicAudio( CFilterGraph* pfg );
 HRESULT CFilterGraph_InitIVideoWindow( CFilterGraph* pfg );
 void CFilterGraph_UninitIVideoWindow( CFilterGraph* pfg );
-HRESULT CFilterGraph_InitIAMStats( CFilterGraph* pfg );
-void CFilterGraph_UninitIAMStats( CFilterGraph* pfg );
 
 
 #endif	/* WINE_DSHOW_FGRAPH_H */
Index: dlls/quartz/fmap.c
===================================================================
RCS file: /home/wine/wine/dlls/quartz/fmap.c,v
retrieving revision 1.8
diff -u -r1.8 fmap.c
--- dlls/quartz/fmap.c	19 Mar 2002 02:15:26 -0000	1.8
+++ dlls/quartz/fmap.c	21 Mar 2002 06:39:19 -0000
@@ -658,8 +658,7 @@
 /* can I use offsetof safely? - FIXME? */
 static QUARTZ_IFEntry FMap2IFEntries[] =
 {
-  { &IID_IFilterMapper2, offsetof(CFilterMapper2,fmap3)-offsetof(CFilterMapper2,unk) },
-  { &IID_IFilterMapper3, offsetof(CFilterMapper2,fmap3)-offsetof(CFilterMapper2,unk) },
+  { &IID_IFilterMapper2, offsetof(CFilterMapper2,fmap2)-offsetof(CFilterMapper2,unk) },
 };
 
 
@@ -667,7 +666,7 @@
 {
 	CFilterMapper2_THIS(punk,unk);
 
-	CFilterMapper2_UninitIFilterMapper3( This );
+	CFilterMapper2_UninitIFilterMapper2( This );
 }
 
 HRESULT QUARTZ_CreateFilterMapper2(IUnknown* punkOuter,void** ppobj)
@@ -682,7 +681,7 @@
 		return E_OUTOFMEMORY;
 
 	QUARTZ_IUnkInit( &pfm->unk, punkOuter );
-	hr = CFilterMapper2_InitIFilterMapper3( pfm );
+	hr = CFilterMapper2_InitIFilterMapper2( pfm );
 	if ( FAILED(hr) )
 	{
 		QUARTZ_FreeObj( pfm );
@@ -700,15 +699,15 @@
 
 /***************************************************************************
  *
- *	CLSID_FilterMapper2::IFilterMapper3
+ *	CLSID_FilterMapper2::IFilterMapper2
  *
  */
 
 
 static HRESULT WINAPI
-IFilterMapper3_fnQueryInterface(IFilterMapper3* iface,REFIID riid,void** ppobj)
+IFilterMapper2_fnQueryInterface(IFilterMapper2* iface,REFIID riid,void** ppobj)
 {
-	CFilterMapper2_THIS(iface,fmap3);
+	CFilterMapper2_THIS(iface,fmap2);
 
 	TRACE("(%p)->()\n",This);
 
@@ -716,9 +715,9 @@
 }
 
 static ULONG WINAPI
-IFilterMapper3_fnAddRef(IFilterMapper3* iface)
+IFilterMapper2_fnAddRef(IFilterMapper2* iface)
 {
-	CFilterMapper2_THIS(iface,fmap3);
+	CFilterMapper2_THIS(iface,fmap2);
 
 	TRACE("(%p)->()\n",This);
 
@@ -726,9 +725,9 @@
 }
 
 static ULONG WINAPI
-IFilterMapper3_fnRelease(IFilterMapper3* iface)
+IFilterMapper2_fnRelease(IFilterMapper2* iface)
 {
-	CFilterMapper2_THIS(iface,fmap3);
+	CFilterMapper2_THIS(iface,fmap2);
 
 	TRACE("(%p)->()\n",This);
 
@@ -736,9 +735,9 @@
 }
 
 static HRESULT WINAPI
-IFilterMapper3_fnCreateCategory(IFilterMapper3* iface,REFCLSID rclsidCategory,DWORD dwMerit,LPCWSTR lpwszDesc)
+IFilterMapper2_fnCreateCategory(IFilterMapper2* iface,REFCLSID rclsidCategory,DWORD dwMerit,LPCWSTR lpwszDesc)
 {
-	CFilterMapper2_THIS(iface,fmap3);
+	CFilterMapper2_THIS(iface,fmap2);
 
 	FIXME("(%p)->(%s,%lu,%s) stub!\n",This,
 		debugstr_guid(rclsidCategory),
@@ -749,9 +748,9 @@
 
 
 static HRESULT WINAPI
-IFilterMapper3_fnUnregisterFilter(IFilterMapper3* iface,const CLSID* pclsidCategory,const OLECHAR* lpwszInst,REFCLSID rclsidFilter)
+IFilterMapper2_fnUnregisterFilter(IFilterMapper2* iface,const CLSID* pclsidCategory,const OLECHAR* lpwszInst,REFCLSID rclsidFilter)
 {
-	CFilterMapper2_THIS(iface,fmap3);
+	CFilterMapper2_THIS(iface,fmap2);
 	WCHAR*	pwszPath = NULL;
 	HRESULT hr;
 
@@ -776,9 +775,9 @@
 
 
 static HRESULT WINAPI
-IFilterMapper3_fnRegisterFilter(IFilterMapper3* iface,REFCLSID rclsidFilter,LPCWSTR lpName,IMoniker** ppMoniker,const CLSID* pclsidCategory,const OLECHAR* lpwszInst,const REGFILTER2* pRF2)
+IFilterMapper2_fnRegisterFilter(IFilterMapper2* iface,REFCLSID rclsidFilter,LPCWSTR lpName,IMoniker** ppMoniker,const CLSID* pclsidCategory,const OLECHAR* lpwszInst,const REGFILTER2* pRF2)
 {
-	CFilterMapper2_THIS(iface,fmap3);
+	CFilterMapper2_THIS(iface,fmap2);
 	WCHAR*  pwszPath = NULL;
 	IMoniker*	pMoniker = NULL;
 	BYTE*	pFilterData = NULL;
@@ -843,12 +842,12 @@
 
 
 static HRESULT WINAPI
-IFilterMapper3_fnEnumMatchingFilters(IFilterMapper3* iface,
+IFilterMapper2_fnEnumMatchingFilters(IFilterMapper2* iface,
 	IEnumMoniker** ppEnumMoniker,DWORD dwFlags,BOOL bExactMatch,DWORD dwMerit,
 	BOOL bInputNeeded,DWORD cInputTypes,const GUID* pguidInputTypes,const REGPINMEDIUM* pPinMediumIn,const CLSID* pPinCategoryIn,BOOL bRender,
 	BOOL bOutputNeeded,DWORD cOutputTypes,const GUID* pguidOutputTypes,const REGPINMEDIUM* pPinMediumOut,const CLSID* pPinCategoryOut)
 {
-	CFilterMapper2_THIS(iface,fmap3);
+	CFilterMapper2_THIS(iface,fmap2);
 	ICreateDevEnum*	pEnum = NULL;
 	IEnumMoniker*	pCategories = NULL;
 	IMoniker*	pCat = NULL;
@@ -1049,46 +1048,33 @@
 	return hr;
 }
 
-static HRESULT WINAPI
-IFilterMapper3_fnGetICreateDevEnum(IFilterMapper3* iface,ICreateDevEnum** ppDevEnum)
-{
-	CFilterMapper2_THIS(iface,fmap3);
-
-	/* undocumented */
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
 
 
 
-static ICOM_VTABLE(IFilterMapper3) ifmap3 =
+static ICOM_VTABLE(IFilterMapper2) ifmap2 =
 {
 	ICOM_MSVTABLE_COMPAT_DummyRTTIVALUE
 	/* IUnknown fields */
-	IFilterMapper3_fnQueryInterface,
-	IFilterMapper3_fnAddRef,
-	IFilterMapper3_fnRelease,
+	IFilterMapper2_fnQueryInterface,
+	IFilterMapper2_fnAddRef,
+	IFilterMapper2_fnRelease,
 	/* IFilterMapper2 fields */
-	IFilterMapper3_fnCreateCategory,
-	IFilterMapper3_fnUnregisterFilter,
-	IFilterMapper3_fnRegisterFilter,
-	IFilterMapper3_fnEnumMatchingFilters,
-	/* IFilterMapper3 fields */
-	IFilterMapper3_fnGetICreateDevEnum,
+	IFilterMapper2_fnCreateCategory,
+	IFilterMapper2_fnUnregisterFilter,
+	IFilterMapper2_fnRegisterFilter,
+	IFilterMapper2_fnEnumMatchingFilters,
 };
 
 
-HRESULT CFilterMapper2_InitIFilterMapper3( CFilterMapper2* pfm )
+HRESULT CFilterMapper2_InitIFilterMapper2( CFilterMapper2* pfm )
 {
 	TRACE("(%p)\n",pfm);
-	ICOM_VTBL(&pfm->fmap3) = &ifmap3;
+	ICOM_VTBL(&pfm->fmap2) = &ifmap2;
 
 	return NOERROR;
 }
 
-void CFilterMapper2_UninitIFilterMapper3( CFilterMapper2* pfm )
+void CFilterMapper2_UninitIFilterMapper2( CFilterMapper2* pfm )
 {
 	TRACE("(%p)\n",pfm);
 }
Index: dlls/quartz/fmap.h
===================================================================
RCS file: /home/wine/wine/dlls/quartz/fmap.h,v
retrieving revision 1.4
diff -u -r1.4 fmap.h
--- dlls/quartz/fmap.h	9 Mar 2002 23:39:11 -0000	1.4
+++ dlls/quartz/fmap.h	21 Mar 2002 06:39:19 -0000
@@ -58,22 +58,20 @@
 	- At least, the following interfaces should be implemented:
 
 	IUnknown
-		+ IFilterMapper2 - IFilterMapper3
+		+ IFilterMapper2
  */
 
-#include "iunk.h"
 
-
-typedef struct FM2_IFilterMapper3Impl
+typedef struct FM2_IFilterMapper2Impl
 {
-	ICOM_VFIELD(IFilterMapper3);
-} FM2_IFilterMapper3Impl;
+	ICOM_VFIELD(IFilterMapper2);
+} FM2_IFilterMapper2Impl;
 
 typedef struct CFilterMapper2
 {
 	QUARTZ_IUnkImpl	unk;
-	FM2_IFilterMapper3Impl	fmap3;
-	/* IFilterMapper3 fields */
+	FM2_IFilterMapper2Impl	fmap2;
+	/* IFilterMapper2 fields */
 } CFilterMapper2;
 
 #define	CFilterMapper2_THIS(iface,member)		CFilterMapper2*	This = ((CFilterMapper2*)(((char*)iface)-offsetof(CFilterMapper2,member)))
@@ -81,7 +79,7 @@
 HRESULT QUARTZ_CreateFilterMapper2(IUnknown* punkOuter,void** ppobj);
 
 
-HRESULT CFilterMapper2_InitIFilterMapper3( CFilterMapper2* psde );
-void CFilterMapper2_UninitIFilterMapper3( CFilterMapper2* psde );
+HRESULT CFilterMapper2_InitIFilterMapper2( CFilterMapper2* psde );
+void CFilterMapper2_UninitIFilterMapper2( CFilterMapper2* psde );
 
 #endif	/* WINE_DSHOW_FMAP_H */
Index: dlls/quartz/ifgraph.c
===================================================================
RCS file: /home/wine/wine/dlls/quartz/ifgraph.c,v
retrieving revision 1.11
diff -u -r1.11 ifgraph.c
--- dlls/quartz/ifgraph.c	19 Mar 2002 02:15:26 -0000	1.11
+++ dlls/quartz/ifgraph.c	21 Mar 2002 06:39:19 -0000
@@ -1,6 +1,6 @@
 /*
  * Implementation of IFilterGraph and related interfaces
- *	+ IGraphVersion, IGraphConfig
+ *	+ IGraphVersion
  *
  * FIXME - create a thread to process some methods correctly.
  *
@@ -102,8 +102,6 @@
 {
 	/* IDistributorNotify_NotifyGraphChange() */
 
-	IMediaEventSink_Notify(CFilterGraph_IMediaEventSink(This),
-			EC_GRAPH_CHANGED, 0, 0);
 	This->m_lGraphVersion ++;
 
 	return NOERROR;
@@ -1516,192 +1514,6 @@
 }
 
 void CFilterGraph_UninitIGraphVersion( CFilterGraph* pfg )
-{
-	TRACE("(%p)\n",pfg);
-}
-
-/***************************************************************************
- *
- *	CFilterGraph::IGraphConfig methods
- *
- */
-
-static HRESULT WINAPI
-IGraphConfig_fnQueryInterface(IGraphConfig* iface,REFIID riid,void** ppobj)
-{
-	CFilterGraph_THIS(iface,grphconf);
-
-	TRACE("(%p)->()\n",This);
-
-	return IUnknown_QueryInterface(This->unk.punkControl,riid,ppobj);
-}
-
-static ULONG WINAPI
-IGraphConfig_fnAddRef(IGraphConfig* iface)
-{
-	CFilterGraph_THIS(iface,grphconf);
-
-	TRACE("(%p)->()\n",This);
-
-	return IUnknown_AddRef(This->unk.punkControl);
-}
-
-static ULONG WINAPI
-IGraphConfig_fnRelease(IGraphConfig* iface)
-{
-	CFilterGraph_THIS(iface,grphconf);
-
-	TRACE("(%p)->()\n",This);
-
-	return IUnknown_Release(This->unk.punkControl);
-}
-
-
-
-static HRESULT WINAPI
-IGraphConfig_fnReconnect(IGraphConfig* iface,IPin* pOut,IPin* pIn,const AM_MEDIA_TYPE* pmt,IBaseFilter* pFilter,HANDLE hAbort,DWORD dwFlags)
-{
-	CFilterGraph_THIS(iface,grphconf);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IGraphConfig_fnReconfigure(IGraphConfig* iface,IGraphConfigCallback* pCallback,PVOID pvParam,DWORD dwFlags,HANDLE hAbort)
-{
-	CFilterGraph_THIS(iface,grphconf);
-	HRESULT hr;
-
-	FIXME("(%p)->(%p,%p,%08lx,%08x) stub!\n",This,pCallback,pvParam,dwFlags,hAbort);
-
-	EnterCriticalSection( &This->m_csFilters );
-	EnterCriticalSection( &This->m_csGraphState );
-
-	hr = IGraphConfigCallback_Reconfigure(pCallback,pvParam,dwFlags);
-
-	LeaveCriticalSection( &This->m_csGraphState );
-	LeaveCriticalSection( &This->m_csFilters );
-
-	return hr;
-}
-
-static HRESULT WINAPI
-IGraphConfig_fnAddFilterToCache(IGraphConfig* iface,IBaseFilter* pFilter)
-{
-	CFilterGraph_THIS(iface,grphconf);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IGraphConfig_fnEnumCacheFilter(IGraphConfig* iface,IEnumFilters** ppenum)
-{
-	CFilterGraph_THIS(iface,grphconf);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IGraphConfig_fnRemoveFilterFromCache(IGraphConfig* iface,IBaseFilter* pFilter)
-{
-	CFilterGraph_THIS(iface,grphconf);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IGraphConfig_fnGetStartTime(IGraphConfig* iface,REFERENCE_TIME* prt)
-{
-	CFilterGraph_THIS(iface,grphconf);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IGraphConfig_fnPushThroughData(IGraphConfig* iface,IPin* pOut,IPinConnection* pConn,HANDLE hAbort)
-{
-	CFilterGraph_THIS(iface,grphconf);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IGraphConfig_fnSetFilterFlags(IGraphConfig* iface,IBaseFilter* pFilter,DWORD dwFlags)
-{
-	CFilterGraph_THIS(iface,grphconf);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IGraphConfig_fnGetFilterFlags(IGraphConfig* iface,IBaseFilter* pFilter,DWORD* pdwFlags)
-{
-	CFilterGraph_THIS(iface,grphconf);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IGraphConfig_fnRemoveFilterEx(IGraphConfig* iface,IBaseFilter* pFilter,DWORD dwFlags)
-{
-	CFilterGraph_THIS(iface,grphconf);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-
-
-
-
-static ICOM_VTABLE(IGraphConfig) igraphconfig =
-{
-	ICOM_MSVTABLE_COMPAT_DummyRTTIVALUE
-	/* IUnknown fields */
-	IGraphConfig_fnQueryInterface,
-	IGraphConfig_fnAddRef,
-	IGraphConfig_fnRelease,
-	/* IGraphConfig fields */
-	IGraphConfig_fnReconnect,
-	IGraphConfig_fnReconfigure,
-	IGraphConfig_fnAddFilterToCache,
-	IGraphConfig_fnEnumCacheFilter,
-	IGraphConfig_fnRemoveFilterFromCache,
-	IGraphConfig_fnGetStartTime,
-	IGraphConfig_fnPushThroughData,
-	IGraphConfig_fnSetFilterFlags,
-	IGraphConfig_fnGetFilterFlags,
-	IGraphConfig_fnRemoveFilterEx,
-};
-
-
-
-HRESULT CFilterGraph_InitIGraphConfig( CFilterGraph* pfg )
-{
-	TRACE("(%p)\n",pfg);
-	ICOM_VTBL(&pfg->grphconf) = &igraphconfig;
-
-	return NOERROR;
-}
-
-void CFilterGraph_UninitIGraphConfig( CFilterGraph* pfg )
 {
 	TRACE("(%p)\n",pfg);
 }
Index: dlls/quartz/main.c
===================================================================
RCS file: /home/wine/wine/dlls/quartz/main.c,v
retrieving revision 1.16
diff -u -r1.16 main.c
--- dlls/quartz/main.c	20 Mar 2002 22:57:15 -0000	1.16
+++ dlls/quartz/main.c	21 Mar 2002 06:39:21 -0000
@@ -98,14 +98,12 @@
 	{ &CLSID_FilterMapper2, &QUARTZ_CreateFilterMapper2 },
 	{ &CLSID_SeekingPassThru, &QUARTZ_CreateSeekingPassThru },
 	{ &CLSID_CaptureGraphBuilder, &QUARTZ_CreateCaptureGraph },
-	{ &CLSID_CaptureGraphBuilder2, &QUARTZ_CreateCaptureGraph },
 
 	{ &CLSID_AudioRender, &QUARTZ_CreateAudioRenderer },
 	{ &CLSID_VideoRenderer, &QUARTZ_CreateVideoRenderer },
 	{ &CLSID_quartzWaveParser, &QUARTZ_CreateWaveParser },
 	{ &CLSID_AviSplitter, &QUARTZ_CreateAVISplitter },
 	{ &CLSID_MPEG1Splitter, &QUARTZ_CreateMPEG1Splitter },
-	{ &CLSID_MMSPLITTER, &QUARTZ_CreateMPEG2Splitter },
 	{ &CLSID_AsyncReader, &QUARTZ_CreateAsyncReader },
 	{ &CLSID_URLReader, &QUARTZ_CreateURLReader },
 	{ &CLSID_AVIDec, &QUARTZ_CreateAVIDec },
Index: dlls/quartz/mpgparse.c
===================================================================
RCS file: /home/wine/wine/dlls/quartz/mpgparse.c,v
retrieving revision 1.1
diff -u -r1.1 mpgparse.c
--- dlls/quartz/mpgparse.c	20 Mar 2002 22:57:15 -0000	1.1
+++ dlls/quartz/mpgparse.c	21 Mar 2002 06:39:21 -0000
@@ -702,14 +702,4 @@
 		&CMPGParseImpl_Handlers );
 }
 
-HRESULT QUARTZ_CreateMPEG2Splitter(IUnknown* punkOuter,void** ppobj)
-{
-	return QUARTZ_CreateParser(
-		punkOuter,ppobj,
-		&CLSID_MMSPLITTER,
-		QUARTZ_MPEG2Parser_Name,
-		QUARTZ_MPGParserInPin_Name,
-		&CMPGParseImpl_Handlers );
-}
-
 
Index: dlls/quartz/parser.h
===================================================================
RCS file: /home/wine/wine/dlls/quartz/parser.h,v
retrieving revision 1.6
diff -u -r1.6 parser.h
--- dlls/quartz/parser.h	20 Mar 2002 22:57:15 -0000	1.6
+++ dlls/quartz/parser.h	21 Mar 2002 06:39:22 -0000
@@ -181,7 +181,6 @@
 HRESULT QUARTZ_CreateWaveParser(IUnknown* punkOuter,void** ppobj);
 HRESULT QUARTZ_CreateAVISplitter(IUnknown* punkOuter,void** ppobj);
 HRESULT QUARTZ_CreateMPEG1Splitter(IUnknown* punkOuter,void** ppobj);
-HRESULT QUARTZ_CreateMPEG2Splitter(IUnknown* punkOuter,void** ppobj);
 
 
 HRESULT RIFF_GetNext(
